## EmpathyLogManager EmpathyLogManager |

## Synopsis

                        EmpathyLogSearchHit;
                        EmpathyLogManager;
    EmpathyLogManager*  empathy_log_manager_new             (void);
    void                empathy_log_manager_add_message     (EmpathyLogManager *manager,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             EmpathyMessage *message);
    gboolean            empathy_log_manager_exists          (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);
    GList*              empathy_log_manager_get_dates       (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);
    GList*              empathy_log_manager_get_messages_for_file
                                                            (EmpathyLogManager *manager,
                                                             const gchar *filename);
    GList*              empathy_log_manager_get_messages_for_date
                                                            (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             const gchar *date);
    GList*              empathy_log_manager_get_last_messages
                                                            (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);
    GList*              empathy_log_manager_get_chats       (EmpathyLogManager *manager,
                                                             McAccount *account);
    GList*              empathy_log_manager_search_new      (EmpathyLogManager *manager,
                                                             const gchar *text);
    void                empathy_log_manager_search_free     (GList *hits);
    gchar*              empathy_log_manager_get_date_readable
                                                            (const gchar *date);

## Object Hierarchy

      GObject
       +----EmpathyLogManager

## Description

## Details

### EmpathyLogSearchHit

    typedef struct {
    	McAccount *account;
    	gchar     *chat_id;
    	gboolean   is_chatroom;
    	gchar     *filename;
    	gchar     *date;
    } EmpathyLogSearchHit;

### EmpathyLogManager

    typedef struct _EmpathyLogManager EmpathyLogManager;

### empathy_log_manager_new ()

    EmpathyLogManager*  empathy_log_manager_new             (void);

Returns : |

### empathy_log_manager_add_message ()

    void                empathy_log_manager_add_message     (EmpathyLogManager *manager,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             EmpathyMessage *message);

`manager` : |
`chat_id` : |
`chatroom` : |
`message` : |

### empathy_log_manager_exists ()

    gboolean            empathy_log_manager_exists          (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);

`manager` : |
`account` : |
`chat_id` : |
`chatroom` : |
Returns : |

### empathy_log_manager_get_dates ()

    GList*              empathy_log_manager_get_dates       (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);

`manager` : |
`account` : |
`chat_id` : |
`chatroom` : |
Returns : |

### empathy_log_manager_get_messages_for_file ()

    GList*              empathy_log_manager_get_messages_for_file
                                                            (EmpathyLogManager *manager,
                                                             const gchar *filename);

`manager` : |
`filename` : |
Returns : |

### empathy_log_manager_get_messages_for_date ()

    GList*              empathy_log_manager_get_messages_for_date
                                                            (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             const gchar *date);

`manager` : |
`account` : |
`chat_id` : |
`chatroom` : |
`date` : |
Returns : |

### empathy_log_manager_get_last_messages ()

    GList*              empathy_log_manager_get_last_messages
                                                            (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);

`manager` : |
`account` : |
`chat_id` : |
`chatroom` : |
Returns : |

### empathy_log_manager_get_chats ()

    GList*              empathy_log_manager_get_chats       (EmpathyLogManager *manager,
                                                             McAccount *account);

`manager` : |
`account` : |
Returns : |

### empathy_log_manager_search_new ()

    GList*              empathy_log_manager_search_new      (EmpathyLogManager *manager,
                                                             const gchar *text);

`manager` : |
`text` : |
Returns : |

### empathy_log_manager_search_free ()

    void                empathy_log_manager_search_free     (GList *hits);

`hits` : |

### empathy_log_manager_get_date_readable ()

    gchar*              empathy_log_manager_get_date_readable
                                                            (const gchar *date);

`date` : |
Returns : |